package org.msrb.emma.subscriber;

import java.net.URL;

/**
 *
 * @author admin
 */
public class EmmaSubscriberCertificateClient extends EmmaSoapSubscriberClient {

	private final URL serviceUrl;

	public EmmaSubscriberCertificateClient(URL serviceUrl) {
		this.serviceUrl = serviceUrl;
	}

	@Override
	protected IEmmaSubscriptionService getPort() {
		if (port == null) {
			org.msrb.emma.subscriber.EmmaSubscriptionService service = new org.msrb.emma.subscriber.EmmaSubscriptionService(serviceUrl);
			port = service.getRegulator();
		}
		return port;
	}

}
