package org.msrb.emma.subscriber;

import java.io.Closeable;
import java.util.Date;
import javax.xml.datatype.DatatypeConfigurationException;

public interface EmmaSubscriberClient extends Closeable {

    byte[] getFile(String fileId) throws IEmmaSubscriptionServiceGetFileFileRetrievalFaultFaultFaultMessage;

    SingleEmmaTransaction getTransaction(String submissionType, Date postingDateTime, String submissionId, String specVersion) throws DatatypeConfigurationException;

    EmmaTransactionList getTransactions(String submissionType, Date postingDate, String specVersion) throws DatatypeConfigurationException;

}
